Rename a version
curl --request PUT \
--url https://api.example.com/api/projects/{projectId}/documents/{documentId}/versions/{versionId}/rename \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.example.com/api/projects/{projectId}/documents/{documentId}/versions/{versionId}/rename"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.example.com/api/projects/{projectId}/documents/{documentId}/versions/{versionId}/rename', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"content": "<unknown>",
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>"
},
"createdAt": "<string>",
"versions": [
"<unknown>"
],
"releases": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>"
}
]
}Document
Rename a version
Update the name of a document version.
PUT
/
api
/
projects
/
{projectId}
/
documents
/
{documentId}
/
versions
/
{versionId}
/
rename
Rename a version
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
Document unique identifier
Project unique identifier
Version unique identifier
Body
application/json
New version name (null to clear)
Response
200 - application/json
Updated document version
Updated document version
Version unique identifier
Version name
Parent version ID for sub-versions
Version status (draft or completed)
Version content data
Associated document ID
User who created the version
Show child attributes
Show child attributes
Version creation timestamp
Sub-versions (recursive structure)
Associated releases
Show child attributes
Show child attributes
Was this page helpful?
⌘I